# Class MemoryBlock<T>

#### Type Parameters

- T extends TypedArray

##### Index

### Constructors

constructor

### Properties

id
length
offset

### Accessors

byteLength

### Methods

free
hasSpace
subarray
subView

## Constructors

### constructor

- new MemoryBlock<T extends TypedArray>(
  id: string,
  _ctor: TypedArrayConstructorArgs<T>,
  _options?: MemoryBlockOptions,
  ): MemoryBlock<T>

  #### Type Parameters

  - T extends TypedArray

  #### Parameters

  - id: string
  - _ctor: TypedArrayConstructorArgs<T>
  - `Optional`_options: MemoryBlockOptions

  #### Returns MemoryBlock<T>

## Properties

### `Readonly` id

id: string

### length

length: number

### offset

offset: number

## Accessors

### byteLength

- get byteLength(): number

  #### Returns number

## Methods

### free

- free(): void

  #### Returns void

### hasSpace

- hasSpace(length: number): boolean

  #### Parameters

  - length: number

  #### Returns boolean

### subarray

- subarray(length: number): T

  #### Parameters

  - length: number

  #### Returns T

### subView

- subView<U extends TypedArray>(
  length: number,
  _ctor: TypedArrayConstructorArgs<U>,
  ): U

  #### Type Parameters

  - U extends TypedArray

  #### Parameters

  - length: number
  - _ctor: TypedArrayConstructorArgs<U>

  #### Returns U